Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/yaml \
--header 'Authorization: Bearer <token>'{
"fileName": "<string>",
"success": true
}Deletes a topic or view YAML file from a model. The file must be a YAML file ending in .topic or .view.
The following models cannot be edited using this endpoint:
curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/yaml \
--header 'Authorization: Bearer <token>'{
"fileName": "<string>",
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the model.
The name of the YAML file to delete. Valid values are:
<topic_name>.topic - Topic file<view_name>.view - View fileRequired if git pull requests are required for the model. The ID of the branch to delete from. To retrieve branch IDs, use the List models endpoint with modelKind=BRANCH.
The mode to use when deleting the YAML file.
Note: Workbook models must use combined mode if there is a branchId.
combined, extension, staged, merged, history Required for git-enabled models. Commit message describing the change.
Was this page helpful?